#!/bin/sh

html="$1"
fp="$2"
vendor="$3"
search="$4"


libdir=`dirname $0`

. $libdir/common.sh

gentbl()
{
	echo "<tr><td colspan=5 align=center>$1"
	awk -v fp="$1" -v vendor="$vendor" -v "search=$search" '

		/^[ \t]*#/ { next }
		/^[ \t]*$/ { next }

		function link(url, txt)
		{
			return "<a href=" q url q ">" txt "</a>"
		}

		function urlencode(s) {
			gsub("[%]", "%25", s)
			gsub("[&]", "%26", s)
			gsub("[(]", "%28", s)
			gsub("[)]", "%29", s)
			gsub("[=]", "%3D", s)
			gsub("[ ]", "+", s)
			return s
		}

		{
			vendor_name=$1
			pinno=$2
			dim=$3
			fpname=$4

			if (pinno == "*") params = ""
			else if (dim == "*") params = ", " pinno

			fpp = fp "(" vendor_name params ")"

			printf "<tr><td>" vendor_name
			printf "<td>" pinno
			printf "<td>" dim
			printf "<td>" fpname
			print  "<td>" link("http://cgi.repo.hu/cgi-bin/pcblib-param.cgi?cmd=" urlencode(fpp), fpp)


			print "@", fpp > search
			print "vendor", vendor > search
			print "vendor_name", vendor_name > search
			print "fpname", fpname > search
			if (pinno != "*") print "pinno", pinno > search
			if (dim != "*") print "dim", dim > search
			print "" > search

		}
	' | sort

}

fpbn="`basename $fp`"

tbl="$fpbn.tbl.tmp"
"$fp" --dump-fps | gentbl "$fpbn" > "$tbl"
edithtml "$html" "$tbl"
rm "$tbl"
