
# bedrock-rnd - curated footprints, symbols and devmaps for Ringdove EDA
# Copyright (C) 2025  Tibor 'Igor2' Palinkas
#
# dist-license: GPL2+
# use-license (license of the output): unlimited (CC0 or public domain)
#
# For more information: doc/license.html
#        or on the web: http://www.repo.hu/projects/bedrock-rnd/license.html
#
# Project page: http://www.repo.hu/projects/bedrock-rnd
#

BEGIN {
	help_auto()
	proc_args(P, "id,numpins,dim", "id")

	if ("dim" in P)
		P["dim"] = parse_dim(P["dim"])

#	print "id=" P["id"], P["numpins"], P["dim"] > "/dev/stderr"

	q = "\""
}

{
	id=$1
	if (id != P["id"]) next

	numpins=$2
	if ((numpins != "*") && (numpins != P["numpins"]) && (P["numpins"] != "")) next

	dim=$3
	if ((dim != "*") && (parse_dim(dim) != P["dim"])) next

	res_cmd=$4

	if (want_rfp) {
		sub("-ipc", "-rfp", res_cmd)
		res_args=$6 "," $5
	}
	else
		res_args=$5

	sub("-D=", "BL=", res_args)
	sub("-E1=", "BW=", res_args)
	sub("-e=", "PP=", res_args)
	sub("-b=", "PT=", res_args)
	sub("-E=", "PE=", res_args)
	sub("-L=", "PC=", res_args)
}

END {
	if (res_cmd != "")
		print dn "/" res_cmd " " q res_args q
}
